@Echo Off

:Init
    SetLocal

    Set EditCmd=Edit
    If "%EditCmd" Eq ""  Set EditCmd=Edit

    Set DescCmd=
    If "%DescCmd" Eq ""  Set DescCmd=Describe *.Not

    Set NotesDir=
    If "%NotesDir" Eq "" Input Enter notes directory %%NotesDir

    If "%NotesDir" Ne "" Cdd %NotesDir%

:Main
    Set NotFil=
      ::Upper case note file names, directories last
    Select /E /O-G Set NotFil=(??.;*.Not)

    If "%NotFil" Eq "" Goto EndBat
    If "%NotFil" Eq "." (%DescCmd%^ Goto Main)
    If "%NotFil" Eq ".." .AND. "%NotesDir" Eq "%_Cwd" Goto Main
    If IsDir %NotFil (Cd %NotFil^ Goto Main)

    Iff "%NotFil" Eq "__No.Not" Then
      ::Use blank doc
        %EditCmd%
    ElseIff "%NotFil" Eq "__New.Not" Then
      ::Create new note fil
        Input New filename with no extension.  %%NewFil
        If "%NewFil" Eq "" Goto Main
        Set NewFil=%@Name[%NewFil].Not
        Iff Exist %NewFil Then
            GetKey /K"yn[Esc]" %NewFil already exists. Continue? (Y/N)
            If "%Key" Ne "Y" Goto Main
        EndIff
        Input Description for %NewFil = %%NewDsc
        Copy __New.Not %NewFil >& Nul
        Describe %NewFil "%NewDsc"
        %EditCmd% %NewFil
    Else
      ::Work with note file chosen
        %EditCmd% %NotFil
    EndIff

    Goto Main

:EndBat
    EndLocal
